/**
 *
 * openutils-elfunctions (http://www.openmindlab.com/lab/products/elfunctions.html)
 * Copyright(C) 2008-2010, Openmind S.r.l. http://www.openmindonline.it
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

package net.sourceforge.openutils.elfunctions;

import net.sourceforge.openutils.testing4web.BaseJspTestngEmbeddedTest;

import org.testng.annotations.Test;


/**
 * @author fgiust
 * @version $Id: JspTest.java 1686 2010-01-20 10:58:03Z memila $
 */
public class JspTest extends BaseJspTestngEmbeddedTest
{

    @Test
    public void capitaliseAllWordsTest() throws Exception
    {
        checkGetWithExpectedTxt("capitaliseAllWords.jsp");
    }
    @Test
    public void substringAfterLast() throws Exception
    {
        checkGetWithExpectedTxt("substringAfterLast.jsp");
    }
    @Test
    public void substringBeforeLast() throws Exception
    {
        checkGetWithExpectedTxt("substringBeforeLast.jsp");
    }
    @Test
    public void isBlank() throws Exception
    {
        checkGetWithExpectedTxt("isBlank.jsp");
    }
    @Test
    public void unescapeXml() throws Exception
    {
        checkGetWithExpectedTxt("unescapeXml.jsp");
    }
    @Test
    public void space() throws Exception
    {
        checkGetWithExpectedTxt("space.jsp");
    }
    @Test
    public void newline() throws Exception
    {
        checkGetWithExpectedTxt("newline.jsp");
    }
    @Test
    public void tab() throws Exception
    {
        checkGetWithExpectedTxt("tab.jsp");
    }
    @Test
    public void escJsTxt() throws Exception
    {
        checkGetWithExpectedTxt("escJsTxt.jsp");
    }
    @Test
    public void adaptStringLength() throws Exception
    {
        checkGetWithExpectedTxt("adaptStringLength.jsp");
    }
    @Test
    public void stripHtmlTags() throws Exception
    {
        checkGetWithExpectedTxt("stripHtmlTags.jsp");
    }
    @Test
    public void splitNewlines() throws Exception
    {
        checkGetWithExpectedTxt("splitNewlines.jsp");
    }
    @Test
    public void splitOnTabs() throws Exception
    {
        checkGetWithExpectedTxt("splitOnTabs.jsp");
    }
    @Test
    public void strip() throws Exception
    {
        checkGetWithExpectedTxt("strip.jsp");
    }
    @Test
    public void defaultIfEmpty() throws Exception
    {
        checkGetWithExpectedTxt("defaultIfEmpty.jsp");
    }
    @Test
    public void endsWith() throws Exception
    {
        checkGetWithExpectedTxt("endsWith.jsp");
    }
    @Test
    public void shorten() throws Exception
    {
        checkGetWithExpectedTxt("shorten.jsp");
    }
    @Test
    public void toLong() throws Exception
    {
        checkGetWithExpectedTxt("toLong.jsp");
    }
    @Test
    public void toRoundedLong() throws Exception
    {
        checkGetWithExpectedTxt("toRoundedLong.jsp");
    }
    @Test
    public void toFloorLong() throws Exception
    {
        checkGetWithExpectedTxt("toFloorLong.jsp");
    }
    @Test
    public void toCeilLong() throws Exception
    {
        checkGetWithExpectedTxt("toCeilLong.jsp");
    }
    @Test
    public void formatDateTime() throws Exception
    {
        checkGetWithExpectedTxt("formatDateTime.jsp");
    }
    @Test
    public void formatDateTimeWithLocale() throws Exception
    {
        checkGetWithExpectedTxt("formatDateTimeWithLocale.jsp");
    }
    @Test
    public void formatDate() throws Exception
    {
        checkGetWithExpectedTxt("formatDate.jsp");
    }
    @Test
    public void formatTime() throws Exception
    {
        checkGetWithExpectedTxt("formatTime.jsp");
    }
    @Test
    public void formatInterval() throws Exception
    {
        checkGetWithExpectedTxt("formatInterval.jsp");
    }
    @Test
    public void parseDate() throws Exception
    {
        checkGetWithExpectedTxt("parseDate.jsp");
    }


}
